An Adobe Flash 8 plug-in is required to view the videos. Click here for Adobe Flash 8